techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Orders
  • Customer Account
    • Registration
      • Register Customer
      • Confirm Customer Registration
    • User Authentication
      • Request OTP
      • Get Access Token
      • Refresh Access Token
    • Customer Profile
      • Profile Details
      • Wallet Details
      • Referral Details
      • Update Platform Version
      • Activate/Create FCM Token
      • FCM Token
      • Delete Customer Account
      • Update Language
      • Update Avatar
      • Update Profile
    • Customer Locations
      • List Locations
      • Location Details
      • Create Location
      • Update Location
      • Update Location Image
      • Delete Location
    • List Received Notifications
  • Items
    • List Items
    • Item Details
    • List Item Categories
    • Item Category Details
    • List Modifier Categories
    • Item Config Details
    • List Bundle Categories
  • Orders
    • List Orders
      GET
    • Order Details
      GET
    • List Recurring Purchases
      GET
    • Recurring Purchase Details
      GET
    • Recurring Purchase Details
      PATCH
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Cancel Subscription Auto Renewal
  • Fulfillments
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Payment Methods
    • List Payment Methods
    • Delete Payment Method
    • List Enabled Payment Providers
  • Checkout
    • Checkout Config Details
    • Create Cart
    • Update Cart
    • Cart Details
    • List Pickup Locations
    • List Featured Vouchers
    • Get Courier Options
    • Checkout
  • Sales Channels
    • Orders
      • List Channel Subscriptions
      • Channel Subscription Details
      • List Channel Orders
      • Channel Order Details
      • Cancel Channel Subscription
    • Meals Checkout
      • Apply Voucher
      • Redeem
      • Get Discount
      • Place Order
    • List Channel Providers
  • Utilities
    • List Supported Cities
    • Supported City Details
  1. Orders

List Orders

GET
https://api.techrar.com/order/v1/orders/
This endpoint allows you to list all customer orders
Filters
You can filter orders with almost all the fields in the order e.g. payment_provider, status, ..etc
Light Objects
In most list endpoints, the returned object will be light.
Use the details endpoint to get a detailed object

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/order/v1/orders/?page=1&page_size=5&search=&order_by=' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "count": 1,
    "next": null,
    "previous": null,
    "results": [
        {
            "id": 449,
            "app_id": 86,
            "created_at": "2025-09-07T12:23:12.308555+03:00",
            "status": "completed",
            "sub_total_amount": 10.33,
            "shipping_amount": 0.0,
            "setup_amount": 0.0,
            "net_amount": 10.33,
            "sub_total_discounts_amount": 1.03,
            "shipping_discounts_amount": 0.0,
            "total_discounts_amount": 1.03,
            "total_amount": 9.3,
            "wallet_redeem_amount": 0.0,
            "total_amount_with_redeem": 9.3,
            "currency": "SAR",
            "payment_method": "visa_master",
            "payment_provider": "myfatoorah",
            "notes": "",
            "recurring_purchase_id": 9,
            "custom_fields": null
        }
    ]
}
Modified at 2025-09-07 09:44:28
Previous
Orders
Next
Order Details
Built with